aboutsummaryrefslogtreecommitdiff
path: root/tests/qemu-iotests/243
diff options
context:
space:
mode:
Diffstat (limited to 'tests/qemu-iotests/243')
-rwxr-xr-xtests/qemu-iotests/24322
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/qemu-iotests/243 b/tests/qemu-iotests/243
index 6a19919add..5838c6e89c 100755
--- a/tests/qemu-iotests/243
+++ b/tests/qemu-iotests/243
@@ -29,6 +29,7 @@ status=1 # failure is the default!
_cleanup()
{
_cleanup_test_img
+ rm -f $TEST_IMG.data
}
trap "_cleanup; exit \$status" 0 1 2 3 15
@@ -57,6 +58,27 @@ for mode in off metadata falloc full; do
done
+for mode in off metadata falloc full; do
+
+ echo
+ echo "=== External data file: preallocation=$mode ==="
+ echo
+
+ IMGOPTS="data_file=$TEST_IMG.data,preallocation=$mode" _make_test_img 64M
+
+ echo -n "qcow2 file size: "
+ du -b $TEST_IMG | cut -f1
+ echo -n "data file size: "
+ du -b $TEST_IMG.data | cut -f1
+
+ # Can't use precise numbers here because they differ between filesystems
+ echo -n "qcow2 disk usage: "
+ [ $(du -B1 $TEST_IMG | cut -f1) -lt 1048576 ] && echo "low" || echo "high"
+ echo -n "data disk usage: "
+ [ $(du -B1 $TEST_IMG.data | cut -f1) -lt 1048576 ] && echo "low" || echo "high"
+
+done
+
# success, all done
echo "*** done"
rm -f $seq.full